Package com.sun.mirror.declaration

## Interface AnnotationTypeElementDeclaration

All Superinterfaces:
  `Declaration`, `ExecutableDeclaration`, `MemberDeclaration`, `MethodDeclaration`

    public interface AnnotationTypeElementDeclaration
    extends MethodDeclaration

Represents an element of an annotation type.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`AnnotationTypeDeclaration` `getDeclaringType()` Returns the type declaration within which this member or constructor is declared.
`AnnotationValue` `getDefaultValue()` Returns the default value of this element.

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface com.sun.mirror.declaration.ExecutableDeclaration

`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

### Methods inherited from interface com.sun.mirror.declaration.MethodDeclaration

`getReturnType`

### Method Detail

#### getDefaultValue

    AnnotationValue getDefaultValue()

Returns the default value of this element.

Returns:
  the default value of this element, or null if this element has no default.

#### getDeclaringType

    AnnotationTypeDeclaration getDeclaringType()

Returns the type declaration within which this member or constructor is declared. If this is the declaration of a top-level type (a non-nested class or interface), returns null.

Specified by:
  `getDeclaringType` in interface `MemberDeclaration`
Returns:
  the type declaration within which this member or constructor is declared, or null if there is none